<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY twm-download-http "&xorg-download-http;/app/twm-&twm-version;.tar.xz">
  <!ENTITY twm-download-ftp  " ">
  <!ENTITY twm-md5sum        "805ee08b5a87e1103dfe2eb925b613b4">
  <!ENTITY twm-size          "260 KB">
  <!ENTITY twm-buildsize     "3.8 MB">
  <!ENTITY twm-time          "less than 0.1 SBU">
]>

<sect1 id="twm" xreflabel="twm-&twm-version;">
  <?dbhtml filename="twm.html"?>


  <title>twm-&twm-version;</title>

  <indexterm zone="twm">
    <primary sortas="a-twm">twm</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to twm</title>

    <para>
      The <application>twm</application> package contains a very minimal
      window manager.
    </para>

    &not-katamari;

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&twm-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&twm-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &twm-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &twm-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &twm-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &twm-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">twm Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="xorg-server"/>
    </para>
<!--
    <bridgehead renderas="sect4">Recommended</bridgehead>
    <para role="recommended">
      <xref linkend="xorg7-legacy"/>
    </para>
-->

  </sect2>

  <sect2 role="installation">
    <title>Installation of twm</title>

    <para>
      Install <application>twm</application> by running the
      following commands:
    </para>

<screen><userinput>sed -i -e '/^rcdir =/s,^\(rcdir = \).*,\1/etc/X11/app-defaults,' src/Makefile.in &amp;&amp;
./configure $XORG_CONFIG &amp;&amp;
make</userinput></screen>

    <para>
      This package does not come with a test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>make install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>
    <para>
      <command>sed -i -e '/^rcdir =/s...</command>: This command ensures
      the <application>twm</application> configuration file gets installed in
      the proper location.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>twm</seg>
        <seg>None</seg>
        <seg>/etc/X11/app-defaults</seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="twm-bin">
        <term><command>twm</command></term>
        <listitem>
          <para>
            is the Tab Window Manager for the X Window System
          </para>
          <indexterm zone="twm twm">
            <primary sortas="b-twm">twm</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>
  </sect2>

</sect1>
